size(450,300);

// we will draw to a presumed 300x200 scale coordinate system,
// even if the actual canvas size differs
scale(width/300.0, height/200.0);   // note well use of FLOAT literals

background(135,206,235);  // sky blue

// sun
fill(255,255,0);
ellipse(250, 50, 30, 30);

// sunrays
strokeWeight(3);
stroke(255,255,0);
line(230, 70, 215, 85);
line(270, 70, 285, 85);
line(270, 30, 285, 15);
line(230, 30, 215, 15);
strokeWeight(1);

// grass
fill(0,255,0);
stroke(0,255,0);
rect(0, 120, 300, 80);

// tree
stroke(0);
fill(0,100,0);
triangle(50, 80,
         30, 140,
         70, 140);

// house facade
fill(255);
rect(110, 100, 60, 60);

// house roof
fill(127);
quad(105, 105, 175, 105,
     170, 85, 110, 85);

// chimney
stroke(255,0,0);
fill(255,0,0);
rect(148, 72, 15, 28);

// window
fill(0);
strokeWeight(2);
rect(123, 110, 15, 20);

