int numSteps = 10;
int stepSize = 36;

int N = (1+numSteps) * stepSize;  // leave room for half-step padding on each edge
size(N, N);
background(255);

fill(200);  // light gray

for (int level = 0; level < numSteps; level += 1) {
  float topX = (numSteps-level)*stepSize/2;      // extra half-step for padding
  float leftY = (0.5+level) * stepSize;          // extra half-step for padding
  rect(topX, leftY, stepSize * (1+level), stepSize);
}

save("pyramidPadded.jpg");

